::::[ Warning ]:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: I use this script as test how to use avrdude with mikroc, mikropascal or mikrobasic
:: for avr with avrdude. USE IT AT YOUR OWN RISK.
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
@echo off
MODE CON COLS=97 LINES=38
title  -=[MikroE Flashing with AVRDUDE %1]=-           ...Script by I-BEK Car Electrician...
set AVRDude=C:\WinAVR-20100110\bin\avrdude.exe
set conf=C:\WinAVR-20100110\bin\avrdude.conf
COLOR 1F

:again
cls
echo/
echo =================================================================================================
echo/
echo/
echo - Chip Name  : %1
echo - Flash File : %~n2.hex
echo/
echo/
set /p answer= Do you want to program fuse (Y/N)?
echo/
if /i "%answer:~,1%" EQU "Y" goto program_lfuse
if /i "%answer:~,1%" EQU "N" goto write_flash
echo Please type Y for Yes or N for No
goto again

:program_lfuse
cls
echo/
echo =================================================================================================
echo/
echo/
echo - Chip Name  : %1
echo - Flash File : %~n2.hex
echo/
echo/
echo To cancell, leave blank and press Enter.
echo Please use with care, only HEX char's allowed.
echo/
echo  example 0xff
echo/
set /p _lfuse=*Write L fuse
if /i "%_lfuse:~,2%" NEQ "0x" goto program_hfuse

"%AVRDude%" -C "%conf%" -p %1 -P usb -c usbtiny -U lfuse:w:%_lfuse%:m
echo/
echo/
:program_hfuse
echo/
set /p _hfuse=*Write H fuse
if /i "%_hfuse:~,2%" NEQ "0x" goto program_efuse

"%AVRDude%" -C "%conf%" -p %1 -P usb -c usbtiny -U hfuse:w:%_hfuse%:m

echo/
echo/
:program_efuse
echo/
set /p _efuse=*Write E fuse
if /i "%_efuse:~,2%" NEQ "0x" goto write_flash

"%AVRDude%" -C "%conf%" -p %1 -P usb -c usbtiny -U efuse:w:%_efuse%:m

:write_flash
IF EXIST %2 (
GOTO NIS_PROGRAMIMIN
) ELSE (
echo/
echo -------------------------------------------------------------------------------------------------
echo  * Flsh file "%~n2.hex" is not in the dir, or please build it then try again!
echo -------------------------------------------------------------------------------------------------
echo/
echo/
PAUSE
)
EXIT / B 1
:NIS_PROGRAMIMIN
echo/  
echo =================================================================================================
CALL "AVRDude" -C "%conf%" -p %1 -P usb -c usbtiny  -V -U flash:w:%~s2:a
PAUSE
EXIT /B 0